org.eclipse.emf.cdo.server.hibernate

## Interface IHibernateStore

- All Superinterfaces:
    IDBConnectionProvider, IStore, IStore.CanHandleClientAssignedIDs

      public interface IHibernateStore
      extends IStore, IDBConnectionProvider, IStore.CanHandleClientAssignedIDs

  The Hibernate store manages the Hibernate `SessionFactory` and the installed `EPackage` instances.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

      `IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_RESULTS` If results should be cached in the query cache, only needed if they are accessed directly as part of the query.
    `static String` | `FIRST_RESULT`
    `static String` | `QUERY_LANGUAGE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.hibernate.cfg.Configuration` | `getHibernateConfiguration()`
    `org.hibernate.SessionFactory` | `getHibernateSessionFactory()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

      `createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstStart, removePersistentProperties, setPersistentProperties`

    - ### Methods inherited from interface org.eclipse.net4j.db.IDBConnectionProvider

      `getConnection`

- - ### Field Detail

    - #### QUERY_LANGUAGE

          static final String QUERY_LANGUAGE

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### FIRST_RESULT

          static final String FIRST_RESULT

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### CACHE_RESULTS

          static final String CACHE_RESULTS

      If results should be cached in the query cache, only needed if they are accessed directly as part of the query.
      Since:
        4.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHibernateConfiguration

          org.hibernate.cfg.Configuration getHibernateConfiguration()

    - #### getHibernateSessionFactory

          org.hibernate.SessionFactory getHibernateSessionFactory()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html